finley/src/Mesh_readGmsh.cpp File Reference
`#include "FinleyDomain.h"`
`#include "FinleyException.h"`
`#include <escript/index.h>`
`#include <cstdio>`

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Macros

#define | SSCANF_CHECK(scan_ret) { if (scan_ret == EOF) { errorFlag = 1;} }
#define | MAX_numNodes_gmsh 20
#define | EARLY_EOF 1
#define | MISSING_NODES 2
#define | MISSING_ELEMENTS 3
#define | THROW_ERROR 4
#define | SUCCESS 5
#define | ERROR 6

## Macro Definition Documentation

## EARLY_EOF

#define EARLY_EOF 1

## ERROR

#define ERROR 6

Referenced by escript::SubWorld::synchVariableInfo().

## MAX_numNodes_gmsh

#define MAX_numNodes_gmsh 20

## MISSING_ELEMENTS

#define MISSING_ELEMENTS 3

## MISSING_NODES

#define MISSING_NODES 2

## SSCANF_CHECK

#define SSCANF_CHECK | ( |  | scan_ret | ) | { if (scan_ret == EOF) { errorFlag = 1;} }

## SUCCESS

#define SUCCESS 5

## THROW_ERROR

#define THROW_ERROR 4